> ## Documentation Index
> Fetch the complete documentation index at: https://docs.streambird.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Ethereum Sign Message

> Sign a personal message using a managed wallet. Managed wallet means the private key is never exposed to the client and always stored encrypted in our vault.

<Snippet file="authorization.mdx" />

## Path Parameters

<ParamField path="wallet_id" type="string" required>
  Unique wallet ID of the wallet used to sign the message.
</ParamField>

## Request Body

<ParamField body="method" type="string" required>
  Must be `eth_personalSign`.
</ParamField>

<ParamField body="params" type="object" required>
  Parameters for the RPC call.

  <Expandable title="params">
    <ParamField body="message" type="string" required>
      Message to be signed.
    </ParamField>

    <ParamField body="encoding" type="string">
      Encoding of the input message. Supported values: `utf-8`, `hex`. Defaults to `utf-8`.
    </ParamField>
  </Expandable>
</ParamField>

## Response

<ResponseField name="method" type="string">
  RPC method that was executed (`eth_personalSign`).
</ResponseField>

<ResponseField name="data" type="object">
  Signed message data.

  <Expandable title="data">
    <ResponseField name="encoding" type="string">
      Always `hex`.
    </ResponseField>

    <ResponseField name="signature" type="string">
      Hex-encoded EIP-191 personal message signature.
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.moonkey.fun/v1/wallets/wallet_36kLvUkIIvyQPbdVr7Ackvh726L/rpc \
    -H "Authorization: Bearer YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "method": "eth_personalSign",
      "params": {
        "message": "test"
      }
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "method": "eth_personalSign",
    "data": {
      "signature": "0x1bc639199849d4afd5d3a32de9c5dffa236529245166baf00b1df871b55693b71c0d5c609c01714bcc0042ccca287b2e4ca1b79f5e89d6a9f8496726a5fddb961c",
      "encoding": "hex"
    }
  }
  ```
</ResponseExample>
